--[[
Name: Rating Buster enUS locale
Revision: $Revision: 1 $
Translated by: 
- Whitetooth@Cenarius (hotdogee@巴哈姆特baha)
]]
local L = AceLibrary("AceLocale-2.2"):new("RatingBuster")
-- To translate AceLocale strings, replace true with the translation string
-- Before: ["Show Item ID"] = true,
-- After:  ["Show Item ID"] = "顯示物品編號",
L:RegisterTranslations("enUS", function() return {
	---------------------------
	-- Slash Command Options --
	---------------------------
	["Show Item ID"] = true,
	["Toggle display of Item ID in tooltip"] = true,
	["Show Item Level"] = true,
	["Toggle display of Item Level in tooltip"] = true,
	["Target Level"] = true,
	["Changes the Target Level used in rating calculations"] = true,
	-------------------------
	-- Core Match Patterns --
	-------------------------
	-- need to be exact or won't work
	["rating"] = true, -- "rating" keyword to find if this tooltip has a rating that needs to be converted
	-- method1pattern1 will match Ex: "10 crit rating" with 3 captures.
	-- %1 = "10" -- this converted tonumber is used as the input for ReverseRating
	-- %2 = " crit rating" -- this is used with %1 to obtain the final converted string: "%1".."(5.20%)".."%2"
	-- %3 = "crit" -- this used to look up in the RatingTypeToID table
	-- translations need to meet the above requirements or it won't work.
	["method1pattern1"] = "(%d+)( ([^%d]-) [Rr]ating)",
	-- method1pattern2 will match Ex: "rating by 10" with 1 capture.
	-- %1 = "10" -- this converted tonumber is used as the input for ReverseRating
	-- translations need to meet the above requirements or it won't work.
	["method1pattern2"] = " [Rr]ating by (%d+)",
	-----------------------
	-- Item Level and ID --
	-----------------------
	["ItemLevel: "] = true,
	["ItemID: "] = true,
} end)

--if ( GetLocale() == "enUS" ) then -- uncomment for localization

-- lookup table used in method 1 - pattern 1 and 2, key = RatingType string, value = Rating ID
-- the key is used to match tooltip text for finding the rating type, so localizations need to be exactly how it is in game.
-- keys need to be in lower case letters, because string.lower is called on lookup

-- Check list used in method 1 - pattern 2, and also used to build the rating string to ID table
-- These strings are used to match tooltip text for finding the rating type, so localizations need to be exactly how it is in game.
-- Strings need to be in lower case letters, because string.lower is called on lookup.
-- The order of this table does matter, those listed first will be checked first, 
-- so longer strings should be listed first, this way "spell critical strike" does get matched by "critical strike"
-- also, put common ratings on top so search will be faster. 

-- IMPORTANT: there may not exist a one-to-one correspondence.
-- for example, in english I found 3 different strings that maps to RB_CRIT_MELEE: "critical strike", "critical hit" and "crit".
-- you will need to find out every string that represents RB_CRIT_MELEE, and so on.
-- In other languages there may be 5 different strings that should all map to RB_CRIT_MELEE.
-- so please check in game that you have all strings, and not translate directly off this table.

-- Tip1: When doing localizations, I recommend you set debugging to true in RatingBuster.lua
-- Find RatingBuster:SetDebugging(false) and change it to RatingBuster:SetDebugging(true)

-- Tip2: The strings are passed into string.find, so you should escape the magic characters ^$()%.[]*+-? with a %
RatingTypeCheckList = {	
	{"defense", RB_DEFENSE_SKILL},
	{"dodge", RB_DODGE},
	{"block", RB_BLOCK},
	{"parry", RB_PARRY},

	{"spell critical strike", RB_CRIT_SPELL},
	{"spell critical hit", RB_CRIT_SPELL},
	{"spell critical", RB_CRIT_SPELL},
	{"spell crit", RB_CRIT_SPELL},
	{"ranged critical strike", RB_CRIT_RANGED},
	{"ranged critical hit", RB_CRIT_RANGED},
	{"ranged critical", RB_CRIT_RANGED},
	{"ranged crit", RB_CRIT_RANGED},
	{"critical strike", RB_CRIT_MELEE},
	{"critical hit", RB_CRIT_MELEE},
	{"crit", RB_CRIT_MELEE},
	
	{"spell hit", RB_HIT_SPELL},
	{"ranged hit", RB_HIT_RANGED},
	{"hit", RB_HIT_MELEE},
	
	{"resilience", RB_RESILIENCE},
	
	{"spell haste", RB_HASTE_SPELL},
	{"ranged haste", RB_HASTE_RANGED},
	{"haste", RB_HASTE_MELEE},
	
	{"dagger skill", RB_WEAPON_SKILL},
	{"sword skill", RB_WEAPON_SKILL},
	{"two%-handed swords skill", RB_WEAPON_SKILL},
	{"axe skill", RB_WEAPON_SKILL},
	{"bow skill", RB_WEAPON_SKILL},
	{"crossbow skill", RB_WEAPON_SKILL},
	{"gun skill", RB_WEAPON_SKILL},
	{"feral combat skill", RB_WEAPON_SKILL},
	{"mace skill", RB_WEAPON_SKILL},
	{"polearm skill", RB_WEAPON_SKILL},
	{"staff skill", RB_WEAPON_SKILL},
	{"two%-handed axes skill", RB_WEAPON_SKILL},
	{"two%-handed maces skill", RB_WEAPON_SKILL},
	{"fist weapons skill", RB_WEAPON_SKILL},
}

--end -- uncomment for localization